### Method

# JavaScriptCore Value object_define_property_data

#### Declaration [src]

    void
    jsc_value_object_define_property_data (
      JSCValue* value,
      const char* property_name,
      JSCValuePropertyFlags flags,
      JSCValue* property_value
    )

#### Description [src]

Define or modify a property with `property_name` in object referenced by `value`. This is equivalent to JavaScript <function>Object.defineProperty()</function> when used with a data descriptor.

#### Parameters

`property_name` | `const char*`
| The name of the property to define.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `JSCValuePropertyFlags`
| `JSCValuePropertyFlags`.
`property_value` | `JSCValue`
| The default property value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.